<?
//||||||||||||||||||||||||||||||||||||||||
// HORRIO DE FUNCIONAMENTO 1.0         ||
//                                      ||
// Sistema desenvolvido por:            ||
// Dermeval Dias Pereira Junior         ||
// dermevald@hotmail.com                ||
// www.mportal.com.br                   ||
// Copyright  2005                     ||
// GNU General Public License           ||
//                                      ||
// Possibilita que voc determine um    ||
// horrio de funcionamento para um     ||
// determinado sistema ou script        ||
// levando em conta; sbados, domingos  ||
// feriados e dias teis.               ||
//                                      ||
// Sinta-se livre para adaptar esse     ||
// script s suas necessidades, s peo ||
// que seja mantido esse comentrio     ||
//||||||||||||||||||||||||||||||||||||||||

//||||||||| HORRIOS ||||||||||||
/*
Escolha os horrios de funcionamento para dias teis, sbados
domingos e feriados.
Para colocar como 24 hs aberto, escolha a opo fechado=0 e coloque
os horrios de abertura e fechamento do dia em questo, para "00".
Para deixar um dia fechado permanentemente ex: "Domingo", 
escolha a opo fechado=0 e coloque "00" para horrios de abertura
e fechamento.
Caso voc deseje fechar um dia em especfico por algum motivo extra,
dia em que normalmente estaria aberto, voc ter que no dia anterior,
colocar o dia escolhido para fechado e colocar "01" para os horrios
de abertura e fechamento desse dia.
Obs: perceba que na verdade so grupo de dias: dias teis, sbados,
domingos e feriados; ento se quiser um dia til em especfico ex: quinta.
Na quarta  noite ter que fazer o processo e na quinta  noite desfazer.
Lembre-se que nesse caso se trata de uma exceo, como, motivo de luto
por exemplo. Neste caso ao invs de aparecer a mensagem 
"Fechado", aparecer "Fechado s hoje"..
*/

function horarios(){   
	 
	 include "par_horarios.php";
	 
	 //+++++++++++++++++++++  PARTIR DAQUI NO EDITE +++++++++++++++++++++++++++++++
	 //|||||||||| Clculo de horas e minutos para funcionamento da loja |||||||||||||
	 $D_semana=date("w"); 
	 $t=mktime (date("H"),date("i"));
	 // Clculo para domingo 
	 $dom_calc=mktime ($c_hd,$c_md);
	 $dom_calc2=mktime ($f_hd,$f_md);
	 // Clculo para sbado 
	 $sab_calc=mktime ($c_hs,$c_ms);
	 $sab_calc2=mktime ($f_hs,$f_ms);
	 // Clculo para dias de semana 
	 $calc=mktime ($c_h,$c_m);
	 $calc2=mktime ($f_h,$f_m);
	 // Clculo para feriados 
	 $feri_calc=mktime ($c_hf,$c_mf);
	 $feri_calc2=mktime ($f_hf,$f_mf);
	
	// Rotina que procura por feriados declarados
	$n=date("d");
	$n2=explode(".",$n2);
	for($conta_n=0;$conta_n<count($n2);$conta_n++){
		if($n==$n2[$conta_n]){
			$very.=1;
		}else{
	      $very.=0;
	   }
	}
	
	// Procura primeiro se  feriado, caso no seja feriado pesquisa  
	// qual o dia da semana depois se os horrios esto ou no
	// setados para zero(funcionamento 24 hs), caso no esteja 
	// ento se  fechado ou possui horrio de funcionamento 	
	if(eregi("1",$very)){ 	
	   if($c_hf=="00" && $c_mf=="00" && $f_hf=="00" && $f_mf=="00" && $feri_fechado!=1){	  
	      $spy=1;
	   }elseif($feri_fechado==1){		  	   
	      $spy=2;	   		        
	   }elseif($t>=$feri_calc && $t<=$feri_calc2){		
			$spy=1;			  
	   }else{
		   $spy=2;							      
	   }	
	}elseif($D_semana==0){ 
	   if($c_hd=="00" && $c_md=="00" && $f_hd=="00" && $f_md=="00" && $dom_fechado!=1){	  
	      $spy=1;
	   }elseif($dom_fechado==1){		  	   
	      $spy=2;	   		        
	   }elseif($t>=$dom_calc && $t<=$dom_calc2){		
			$spy=1;			  
	   }else{
		   $spy=2;							      
	   }	
	}elseif($D_semana==6){
	   if($c_hs=="00" && $c_ms=="00" && $f_hs=="00" && $f_ms=="00" && $sab_fechado!=1){	  
          $spy=1;
	   }elseif($sab_fechado==1){		  	   
		   $spy=2;	   		        
	   }elseif($t>=$sab_calc && $t<=$sab_calc2){		
			$spy=1;			  
	   }else{
		   $spy=2;							      
	   }		
	}else{	  
	   if($c_h=="00" && $c_m=="00" && $f_h=="00" && $f_m=="00" && $fechado!=1){	  
	      $spy=1;
	   }elseif($fechado==1){		  	   
	  	   $spy=2;	   		        
	   }elseif($t>=$calc && $t<=$calc2){		
		   $spy=1;			  
	   }else{
		   $spy=2;							      
	   }		
   }
	?>
	<html>
	<head>
	   <title>Horrios</title>
		<style>@import "style.css";</style>		
	</head>
	<body>
	<?
	if($spy!=1){
	   echo
		"<h3 style=\"text-align:center\">Temporariamente Fechada</h3>
	  <table cellspacing=\"5\" align=\"center\" width=\"600\"><tr class=\"tabela_carrinho3\">           
		   <td align=\"center\"><b>Dias teis</b></td><td align=\"center\"><b>Sbado</b></td><td align=\"center\"><b>Domingo</b></td><td align=\"center\"><b>Feriados</b></td>
		</tr><tr class=\"tabela_carrinho4\">
		   <td align=\"center\">";
			if($fechado=="1"){
			   if($c_h=="00" && $c_m=="00" && $f_h=="00" && $f_m=="00"){
			      echo "<b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Fechado&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</b>";
			   }else{
				   echo "<b>&nbsp;&nbsp;&nbsp;&nbsp;Fechado Hoje&nbsp;&nbsp;&nbsp;&nbsp;</b>";
			   }
			}else{
			   if($c_h=="00" && $c_m=="00" && $f_h=="00" && $f_m=="00" && $fechado=="0"){
				   echo "<b>24 hs por dia</b>";
				}elseif($c_h=="00" && $c_m=="00" && $f_h=="00" && $f_m=="00" && $fechado=="1"){
				   echo "<b>Fechado</b>";
				}else{
			      echo "<b>Das $c_h:$c_m s $f_h:$f_m</b>";
				}
			}
		echo 
		  "</td><td align=\"center\">";
		  if($sab_fechado=="1"){
		     if($c_hs=="00" && $c_ms=="00" && $f_hs=="00" && $f_ms=="00"){
			     echo "<b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Fechado&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</b>";
			  }else{
			     echo "<b>&nbsp;&nbsp;&nbsp;&nbsp;Fechado s hoje&nbsp;&nbsp;&nbsp;&nbsp;</b>";
			  }
			}else{
			    if($c_hs=="00" && $c_ms=="00" && $f_hs=="00" && $f_ms=="00" && $sab_fechado=="0"){
				   echo "<b>24 hs por dia</b>";
				}elseif($c_hs=="00" && $c_ms=="00" && $f_hs=="00" && $f_ms=="00" && $sab_fechado=="1"){
				   echo "<b>Fechado</b>";
				}else{
			      echo "<b>Das $c_hs:$c_ms s $f_hs:$f_ms</b>";
				}
			}
		echo 
		  "</td><td align=\"center\">";
		  if($dom_fechado=="1"){
		     if($c_hd=="00" && $c_md=="00" && $f_hd=="00" && $f_md=="00"){
			     echo "<b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Fechado&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</b>";
		     }else{
			     echo "<b>&nbsp;&nbsp;&nbsp;&nbsp;Fechado s hoje&nbsp;&nbsp;&nbsp;&nbsp;</b>";
		     }	  
			}else{
			   if($c_hd=="00" && $c_md=="00" && $f_hd=="00" && $f_md=="00" && $dom_fechado=="0"){
				   echo "<b>24 hs por dia</b>";
				}elseif($c_hd=="00" && $c_md=="00" && $f_hd=="00" && $f_md=="00" && $dom_fechado=="1"){
				   echo "<b>Fechado</b>";
				}else{
			      echo "<b>Das $c_hd:$c_md s $f_hd:$f_md</b>";
				}
			}
		echo 
		  "</td><td align=\"center\">";
		  if($feri_fechado=="1"){
		      if($c_hf=="00" && $c_mf=="00" && $f_hf=="00" && $f_mf=="00"){
			      echo "<b>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Fechado&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</b>";
			   }else{
				   echo "<b>&nbsp;&nbsp;&nbsp;&nbsp;Fechado s hoje&nbsp;&nbsp;&nbsp;&nbsp;</b>";
			   }
			}else{
			   if($c_hf=="00" && $c_mf=="00" && $f_hf=="00" && $f_mf=="00" && $feri_fechado=="0"){
				   echo "<b>24 hs por dia</b>";
				}elseif($c_hf=="00" && $c_mf=="00" && $f_hf=="00" && $f_mf=="00" && $feri_fechado=="1"){
				   echo "<b>Fechado</b>";
				}else{
			      echo "<b>Das $c_hf:$c_mf s $f_hf:$f_mf</b>";
				}
			}
		echo
		 "<caption class=\"borda\"><b>Horrios de funcionamento</b></caption> 
		  </td>
		</tr></table>";	
		die();
	}
}
echo "</body></html>";
horarios();
?>
Funcionando